Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# atan2

Perl 5 version 18.2 documentation
Go to top
Show recent pages
Recently read

# atan2

Perl functions A-Z | Perl functions by category | The 'perlfunc' manpage

- atan2 Y,X

  Returns the arctangent of Y/X in the range -PI to PI.

  For the tangent operation, you may use the `Math::Trig::tan` function, or use the familiar relation:

          sub tan { sin($_[0]) / cos($_[0])  }

  The return value for `atan2(0,0)` is implementation-defined; consult your atan2(3) manpage for more information.

  Portability issues: atan2 in perlport.